Add CMake depends to check OpenAMP dependencies